import Vue from 'vue';
import * as common from 'schema-based-json-editor';
import 'markdown-tip-vue';
import 'select2-vue-component';
import 'file-uploader-vue-component';
export declare class StringEditor extends Vue {
    schema: common.StringSchema;
    initialValue?: string;
    title: string;
    theme: common.Theme;
    icon: common.Icon;
    locale: common.Locale;
    readonly: boolean;
    required: boolean;
    hasDeleteButton: boolean;
    md?: any;
    hljs?: common.HLJS;
    forceHttps?: boolean;
    noSelect2?: boolean;
    monacoEditor?: common.MonacoEditor;
    value?: string | undefined;
    errorMessage?: string | undefined;
    buttonGroupStyle: string;
    collapsed: boolean;
    imagePreviewStyle: string;
    private monacoCodeEditor?;
    onChange(e: {
        target: {
            value: string;
        };
    }): void;
    beforeMount(): void;
    mounted(): void;
    beforeDestroy(): void;
    private get canPreviewImage();
    private get canPreviewMarkdown();
    private get canPreviewCode();
    get canPreview(): boolean | undefined;
    get useTextArea(): boolean | undefined;
    get useInput(): boolean | undefined;
    private get useSelect();
    get useSelect2Component(): boolean;
    get useSelectComponent(): boolean | undefined;
    get useRadioBoxComponent(): boolean;
    get getImageUrl(): string | undefined;
    get getMarkdown(): any;
    get getCode(): string;
    get isReadOnly(): boolean | undefined;
    get hasDeleteButtonFunction(): boolean;
    get willPreviewImage(): boolean | "" | undefined;
    get willPreviewMarkdown(): boolean | "" | undefined;
    get willPreviewCode(): boolean | "" | undefined;
    get titleToShow(): string;
    get options(): {
        value: string | number;
        label: string | number;
    }[];
    get canUpload(): boolean;
    get className(): string;
    updateSelection(value: string): void;
    toggleOptional(): void;
    collapseOrExpand(): void;
    fileGot(file: File | Blob): void;
    private validate;
}
